package org.netbeans.modules.cnd.dwarfdump.dwarf;

import java.io.PrintStream;
import java.util.ArrayList;
import java.util.List;

import org.netbeans.modules.cnd.dwarfdump.dwarfconsts.OP;

public class DwarfExpressionOperation {
	private OP opcode;
	private List<Object> operands = new ArrayList<Object>();
	
	public DwarfExpressionOperation(OP opcode) {
		this.opcode = opcode;
	}
	
	public void addOperand(Object value) {
        operands.add(value);
    }
	
	public OP getOpcode() {
		return opcode;
	}
	
	public List<Object> getOperands() {
		return operands;
	}

	public void dump(PrintStream out) {
		out.print(opcode);
		for (Object operand : operands) {
			out.print(' ');
			out.print(operand);
		}
	}

	public Object getOperand(int i) {
		return operands.get(i);
	}
}
